Trillet AI logo

Update Workspace Name

Update the name of an existing workspace. Only the owner of the workspace is authorized to perform this action.

PUThttps://api.trillet.ai/v1/api/workspaces/{workspaceId}

Path Parameters

workspaceIdstringrequired

The unique identifier of the workspace to update.

Headers

x-workspace-idstringrequired

The workspace ID (should match the workspaceId path parameter).

Request Body

namestringrequired

The new name for the workspace.

Response Fields

_idstring

The unique identifier of the workspace.

namestring

The updated name of the workspace.

initialsstring

The initials assigned to the workspace.

teamMembersarray

List of team members associated with the workspace.

createdAtstring

Timestamp when the workspace was created (ISO 8601 format).

updatedAtstring

Timestamp when the workspace was last updated (ISO 8601 format).

Update Workspace Name — Trillet AI